Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155878 - CAN-2004-1304 File ELF Header Unspecified Buffer Overflow
Summary: CAN-2004-1304 File ELF Header Unspecified Buffer Overflow
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: file
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL: http://www.securityfocus.com/advisori...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-25 09:16 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-25 09:59:50 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2005-04-25 09:16:49 UTC
+++ This bug was initially created as a clone of Bug #152865 +++

04.48.16 CVE: Not Available
Platform: Unix
Title: File ELF Header Unspecified Buffer Overflow
Description: The Unix file command is affected by a buffer overflow
vulnerability.  This issue is due to a failure of the application to
properly validate string lengths in the affected files prior to
copying them into static process buffers. This can be leveraged by an
attacker to execute hostile code on the vulnerable system.
Ref: http://www.securityfocus.com/advisories/7566



------- Additional Comments From bugzilla.fedora.us@beej.org 2004-12-14 08:40:43
----

gentoo has an advisory on it, now, too:
http://www.gentoo.org/security/en/glsa/glsa-200412-07.xml

<snip>

All versions of RHEL seem to be affected.

Comment 1 Mark J. Cox 2005-04-25 09:59:50 UTC
This was discussed by vendor-sec and found to be a non-issue.  A number of
patches were added to correct issues in file.  The implications of these issues
is that a malformed ELF binary could cause an error, or in the worst case a
crash during operation.  The flaws were not found to be exploitable.


Note You need to log in before you can comment on or make changes to this bug.